import {
  select,
  csv,
  scaleLinear,
  max,
  scaleBand,
  axisLeft,
  axisBottom,
  format
} from 'd3';

const titleText = 'Temperature of San francisco';
const xAxisLabelText = 'Date';
const yAxisLabel='Temperature';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');
const margin={top:50, right:20, bottom:20, left:20}
const innerWidth=width-margin.left-margin.right;
const innerHeight=height-margin.top-margin.bottom;

const yValue=d=>d.temperature

const render=(data)=>{
//now the scales and axis
const xScale=scaleBand()
.domain(data.map(function(d){
return d.timestamp
}))
.range([0,width])

const yScale=scaleLinear()
.domain([0, max(data, d=>d.temperature)])
.range([0,height])

console.log(yScale.range()) 
  
const yAxis=svg.append('g')
.call(axisLeft(yScale))

const xAxis=svg.append('g')
.call(axisBottom(xScale))
  
svg.selectAll('rect')
.data(data)
.enter().append('rect')
.attr('width', xScale.bandwidth()) 
.attr('height',d=>yScale(yValue(d)))  


}

csv('https://vizhub.com/curran/datasets/temperature-in-san-francisco.csv').then(data => {
data.forEach(d => {
d.temperature = +d.temperature;
d.timestamp= new Date(d.timestamp)  
});
render(data)
});

